1

I want to use TensorFlow on Ubuntu 16.04, which requires CUDA 9.0, not the latest 9.1. However, I previously had CUDA 9.1 installed. After running

sudo apt-get remove --purge cuda* && sudo apt-get autoremove

I confirmed that /usr/local contained no cuda folders. Then, I followed the nvidia instructions to install CUDA 9.0 using the .deb. However, when I sudo apt-get install cuda, the confirmation message begins with:

The following NEW packages will be installed:
  cuda cuda-9-1 ...

and other references to CUDA 9.1.

Question: Why is this 9.1 version being installed? Where is this being linked from?

Here is the output from apt-key list, if helpful:

/etc/apt/trusted.gpg
--------------------
pub   1024D/437D05B5 2004-09-12
uid                  Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
sub   2048g/79164387 2004-09-12

pub   4096R/C0B21F32 2012-05-11
uid                  Ubuntu Archive Automatic Signing Key (2012) <ftpmaster@ubuntu.com>

pub   4096R/EFE21092 2012-05-11
uid                  Ubuntu CD Image Automatic Signing Key (2012) <cdimage@ubuntu.com>

pub   1024D/FBB75451 2004-12-30
uid                  Ubuntu CD Image Automatic Signing Key <cdimage@ubuntu.com>

pub   1024D/7FAC5991 2007-03-08
uid                  Google, Inc. Linux Package Signing Key <linux-packages-keymaster@google.com>
sub   2048g/C07CB649 2007-03-08

pub   4096R/D38B4796 2016-04-12
uid                  Google Inc. (Linux Packages Signing Authority) <linux-packages-keymaster@google.com>
sub   4096R/640DB551 2016-04-12 [expires: 2019-04-12]
sub   4096R/997C215E 2017-01-24 [expires: 2020-01-24]

pub   4096R/48457EE0 2016-05-24 [expires: 2018-05-24]
uid                  Bazel Developer (Bazel APT repository key) <bazel-dev@googlegroups.com>
sub   4096R/43FF45F9 2016-05-24 [expires: 2018-05-24]

pub   4096R/7FA2AF80 2016-06-24
uid                  cudatools <cudatools@nvidia.com>

/etc/apt/trusted.gpg.d/graphics-drivers_ubuntu_ppa.gpg
------------------------------------------------------
pub   4096R/1118213C 2015-08-12
uid                  Launchpad PPA for Graphics Drivers Team

/etc/apt/trusted.gpg.d/webupd8team_ubuntu_atom.gpg
--------------------------------------------------
pub   1024R/EEA14886 2010-05-04
uid                  Launchpad VLC

marked as duplicate by pomsky, user535733, N0rbert, muru, Eric Carvalho Mar 1 '18 at 23:26

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • Thanks for your suggestions. I was able to install CUDA 9.0 using sudo apt-get install cuda-9.0. However, your suggestions do not answer my question: how do I find which repository is trying to install the unwanted package? – Jesse Knight Mar 1 '18 at 14:41